Bug 179167 - CVE-2006-0292 javascript unrooted access
CVE-2006-0292 javascript unrooted access
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
4
All Linux
medium Severity urgent
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
impact=critical,embargo=20060202,repo...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-27 16:03 EST by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: mozilla-1.7.12-1.5.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-26 05:00:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-01-27 16:03:52 EST
javascript unrooted access

The javascript interpreter in Mozilla can be tricked into storing
arbitary code onto the heap, then jump into that code.  This is the
result of tricking the garbage collector into dereferencing objects
that are still in use.

https://bugzilla.mozilla.org/show_bug.cgi?id=316885
Comment 2 Fedora Update System 2006-02-02 18:35:26 EST
From User-Agent: XML-RPC

mozilla-1.7.12-1.5.2 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 3 David Eisenstein 2006-02-26 05:00:38 EST
Closing this bug CURRENTRELEASE.

Update announcement FEDORA-2006-075 for this issue is at:
http://www.redhat.com/archives/fedora-announce-list/2006-February/msg00005.html

Note You need to log in before you can comment on or make changes to this bug.